%define name gtkfind
%define release %mkrel 8
%define version 1.1

Summary  : A graphical file finding program
Name     : %{name}
Version  : %{version}
Release  : %{release}
License: GPL
Group    : File tools
Source0  : %{name}-%{version}.tar.bz2
URL      : http://www.oz.net/~mattg/download.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: xterm libgtk+-devel

%description
gtkfind is a graphical file finding program, written by Matt Grossman
<mattg@oz.net> and distributed under the terms of the GNU GPL.  It
requires X and the freely distributable (GPL) gtk toolkit to run.  gtk
is available from www.gtk.org and other places.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure

%make

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_mandir/man1
install -s -m 755 gtkfind %buildroot%_bindir
install -m 444 gtkfind.1 %buildroot%_mandir/man1


mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/%name"\
title="Gtkfind"\
longtitle="Graphical file finding program"\
needs="x11"\
icon="file_tools_section.png"\
section="System/File Tools"
EOF
 
%post
%{update_menus}
 
%postun
%{clean_menus}  

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL
%_bindir/%name
%{_mandir}/man1/*
%{_menudir}/*

%changelog
* Fri Apr 08 2005 Olivier Thauvin <nanardon@mandrake.org> 1.1-8mdk
- fix menu path

* Wed Apr 26 2004 Lenny Cartier <lenny@mandrakesoft.com 1.1-7mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1-6mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1-5mdk
- rebuild

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com 1.1-4mdk
- buildrequires

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-3mdk
- icon

* Wed Jul 25 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- BM
- macros 
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix group
- fix files section

* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location of files
- bz2 archive

